List
curl --request GET \
--url https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/caches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/caches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/caches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"environment": "<string>",
"status": "provisioning",
"region": "<string>",
"sku": "<string>",
"memoryMb": 123,
"persistence": "none",
"evictionPolicy": "allkeys-lru",
"host": "<string>",
"port": 123,
"tls": true,
"createdAt": "2023-11-07T05:31:56Z"
}
]caches
List
List managed caches in one project environment.
GET
/
v1
/
orgs
/
{orgId}
/
projects
/
{projectId}
/
caches
List
Authorizations
apiKeysession
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization's id (UUID) or slug — either form is accepted.
The project's id (UUID) or slug — either form is accepted.
Query Parameters
Environment slug to scope this operation to. Defaults to "production". An environment that does not exist on the project answers 404. Caches are isolated to the addressed environment.
Pattern:
^[a-z][a-z0-9-]{0,38}$Response
200 - application/json
Caches ordered by name.
Pattern:
^[a-z][a-z0-9-]{1,61}$Available options:
provisioning, ready, failed Available options:
none, aof Available options:
allkeys-lru, allkeys-lfu, volatile-lru, noeviction Branded TLS cache endpoint.